## openjdk-8 8u442-ga

=== debian/control ===
Source: openjdk-8
Section: java
Priority: optional
Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Glaser <tg@mirbsd.de>,
 Emilio Pozuelo Monfort <pochu@debian.org>
Build-Depends: openjdk-8-jdk, quilt,
 m4, lsb-release, sharutils, gawk, procps, wdiff, tzdata, debhelper (>= 11),
 cpio, zip, unzip, autoconf (>= 2.69), automake, pkgconf, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, libasmtools-java <!nocheck>, testng <!nocheck>,
 ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-14, g++-14, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libcups2t64, libglib2.0-0t64, libgtk2.0-0t64,
 libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype-dev, libgtk2.0-dev, libffi-dev, libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26), dpkg-dev (>= 1.17.14), time
Standards-Version: 4.7.0
Rules-Requires-Root: binary-targets
Homepage: https://openjdk.org/projects/jdk8u/
VCS-git: https://evolvis.org/anonscm/git/alioth/openjdk-8.git -b master
VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/openjdk-8.git;a=shortlog;h=refs/heads/master

Package: openjdk-8-jdk-headless
Architecture: alpha amd64 arm64 armel armhf i386 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Suggests: openjdk-8-demo, openjdk-8-source
Provides: java-sdk-headless (= 8), java2-sdk-headless,
  java5-sdk-headless, java6-sdk-headless,
  java7-sdk-headless, java8-sdk-headless,
Breaks: openjdk-8-jre-headless (<< 8u232-b07-1),
Replaces: openjdk-8-jdk (<< 8u72-b15-4), openjdk-8-jre-headless (<< 8u232-b07-1),
Description: OpenJDK Development Kit (JDK) (headless)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This binary package contains almost the full JDK, except for some
 tools (appletviewer, jconsole) and headers (jawt) that make sense
 only in GUI environments.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-jre-headless
Architecture: alpha amd64 arm64 armel armhf i386 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: ${jredefault:Depends}, ${cacert:Depends},
  ${tzdata:Depends}, ${jcommon:Depends}, ${dlopenhl:Depends},
  ${mountpoint:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenhl:Recommends}
Suggests: libnss-mdns,
  fonts-dejavu-extra,
  fonts-nanum, fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei, fonts-wqy-zenhei, fonts-indic,
Provides: java-runtime-headless (= 8), java2-runtime-headless,
  java5-runtime-headless, java6-runtime-headless,
  java7-runtime-headless, java8-runtime-headless,
  ${defaultvm:Provides}, ${jvm:Provides}
Breaks: oracle-java8-installer (<< 8u77+8u77arm-1),
  ${jrehl:Breaks}
Description: OpenJDK Java runtime, using ${vm:Name} (headless)
 Minimal Java runtime - needed for executing non GUI Java programs,
 using ${vm:Name}.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-jdk
Architecture: alpha amd64 arm64 armel armhf i386 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre (= ${binary:Version}),
  openjdk-8-jdk-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libxt-dev
Suggests: openjdk-8-demo, openjdk-8-source, visualvm
Provides: java-sdk (= 8), java2-sdk, java5-sdk, java6-sdk,
  java7-sdk, java8-sdk, java-compiler
Description: OpenJDK Development Kit (JDK)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This binary package extends the headless JDK with GUI-specific
 utilities, libraries and, as necessary, package dependencies.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-jre
Architecture: alpha amd64 arm64 armel armhf i386 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre-headless (= ${binary:Version}),
  ${xandsound:Depends},
  ${dlopenjre:Depends}, ${dep:bridge},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenjre:Recommends}, fonts-dejavu-extra
Replaces: openjdk-8-jre-headless (<< 8u20~b20-3)
Provides: java-runtime (= 8), java2-runtime,
  java5-runtime, java6-runtime,
  java7-runtime, java8-runtime
Description: OpenJDK Java runtime, using ${vm:Name}
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using ${vm:Name}.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-demo
Architecture: alpha amd64 arm64 armel armhf i386 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Description: Java runtime based on OpenJDK (demos and examples)
 OpenJDK Java runtime
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-source
Architecture: all
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre (>= ${source:Version}),
  openjdk-8-jdk (>= ${binary:Version}),
  ${misc:Depends}
Replaces: openjdk-8-jdk (<< 8u20~b26-1~)
Description: OpenJDK Development Kit (JDK) source files
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the Java programming language source files
 (src.zip) for all classes that make up the Java core API.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-doc
Section: doc
Pre-Depends: ${dpkg:Depends}
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: openjdk-8-jdk
Description: OpenJDK Development Kit (JDK) documentation
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the API documentation.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-dbg
Architecture: alpha amd64 arm64 armel armhf i386 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32
Multi-Arch: same
Section: debug
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre-headless (= ${binary:Version}),
   ${misc:Depends}
Recommends: openjdk-8-jre (= ${binary:Version})
Suggests: openjdk-8-jdk (= ${binary:Version})
Description: Java runtime based on OpenJDK (debugging symbols)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the debugging symbols.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-jre-zero
Architecture: amd64 arm64 i386 ppc64 ppc64el armhf
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${zerovm:Provides}
Description: Alternative JVM for OpenJDK, using Zero
 The package provides an alternative runtime using the Zero VM. Built on
 architectures in addition to the Hotspot VM as a debugging aid for those
 architectures which don't have a Hotspot VM.
 .
 The VM is started with the option `-zero'. See the README.Debian for details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(wildcard /usr/share/dpkg/buildflags.mk))
include /usr/share/dpkg/buildflags.mk
endif

unexport LANG
export LC_ALL=C
unexport LANGUAGE

NULL :=

dh_version := $(shell dpkg-query -f '$${Version}\n' -W debhelper | sed -n 's/^\(.\).*/\1/p')

# using brace expansion and substring replacements (${var:0:2}).
SHELL = /bin/bash

# use gnu time in verbose mode if available, otherwise default to the shell builtin
ifneq (,$(wildcard /usr/bin/time))
  TIME = /usr/bin/time -v
else
  TIME = time
endif

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_BUILD_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_ARCH)
DEB_HOST_ARCH_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

PATH := $(CURDIR)/bin:$(PATH)
export PATH

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
derivative := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
               elif dpkg-vendor --derives-from Debian; then echo Debian; \
               else echo Unknown; fi)
ifeq ($(distrel),n/a)
  distrel := sid
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)

hotspot_aarch32_archs = armhf

hotspot_archs	= amd64 arm64 i386 ppc64 ppc64el \
		  ${hotspot_aarch32_archs}
jtreg_archs	= ${hotspot_archs} alpha armel \
		  loong64 mips mipsel mips64 mips64el \
		  powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64 x32
# FIXME: use bootcycle builds for zero archs?
bootcycle_build  = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
  bootcycle_build  =
endif

# we know about:
# wheezy jessie stretch buster bullseye bookworm trixie sid
# precise trusty xenial bionic focal jammy noble oracular plucky

ifneq (,$(filter $(distrel),wheezy precise trusty))
  is_default = no
else
  is_default = yes
endif

is_upstream_release = yes

srcdir		= src
builddir	= build
zbuilddir	= build-zero

VENDOR		= openjdk
Vendor		= OpenJDK
TOP		= usr/lib/jvm
origin		= openjdk
basename	= openjdk-$(shortver)
ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
  priority	= $(if $(filter yes, $(is_default)),1081,1069)
  vm_name	= Hotspot JIT
else
  priority	= $(if $(filter yes, $(is_default)),1074,1063)
  vm_name	= Hotspot Zero
endif
jvmver		= 1.8.0
shortver	= 8

is_release		=
is_release		= yes
gh_project		= jdk8u
gh_tag			= jdk8u442-ga
version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
version_dash_buildnr	= 442-b06
gh_tag_aarch32		= jdk8u442-ga-aarch32-20250125
package_version		= $(subst jdk,,${gh_tag})
ifneq ($(is_release),yes)
  package_version	:= $(subst -,~,$(package_version))
endif

# make sure to set version_dash_buildnr above manually if gh_tag is -ga
updatever		:= $(firstword $(subst -, ,${version_dash_buildnr}))
buildver		:= $(lastword $(subst -, ,${version_dash_buildnr}))

ifneq (,$(DEB_HOST_MULTIARCH))
  jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
  jdiralias	= java-$(jvmver)-$(origin)-$(DEB_HOST_ARCH)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)-common
  commonbasedir	= $(basedir)
  etcdir	= etc/java-$(shortver)-$(origin)
else
  jdirname	= java-$(shortver)-$(origin)
  jdiralias	= java-$(jvmver)-$(origin)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)
  etcdir	= etc/$(jdirname)
endif
security	= $(etcdir)/security
ifneq ($(bootcycle_build),yes)
  jreimg	= images/j2re-image
  sdkimg	= images/j2sdk-image
  build_target	= images
else
  jreimg	= bootcycle-build/images/j2re-image
  sdkimg	= bootcycle-build/images/j2sdk-image
  build_target	= bootcycle-images
endif

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
COMMA=,
SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

nocheck_profile = ${NULL} <!nocheck>
with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
ifeq (,$(filter $(DEB_HOST_ARCH),$(hotspot_archs)))
  with_check = disabled running check for Zero arch $(DEB_HOST_ARCH)
endif
ifneq (,$(filter $(distrel),precise wheezy))
  nocheck_profile =
  with_check = disabled running check on $(distrel)
endif
#with_check = disabled for this build

with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)

arch_map	:= alpha=alpha amd64=amd64 arm64=aarch64 arm=arm armel=arm armhf=arm hppa=parisc i386=i586 loong64=loongarch64 mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le s390x=s390x sh4=sh sparc64=sparcv9 sparc=sparc x32=x32
archdir_map	:= alpha=alpha amd64=amd64 arm64=aarch64 arm=arm armel=arm armhf=arm hppa=parisc i386=i386 loong64=loongarch64 mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le s390x=s390x sh4=sh sparc64=sparcv9 sparc=sparc x32=x32

jvmarch		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
			$(filter $(DEB_HOST_ARCH_CPU)=%, $(arch_map))))
archdir		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
			$(filter $(DEB_HOST_ARCH_CPU)=%, $(archdir_map))))
ifeq ($(DEB_HOST_ARCH),x32)
  jvmarch := x32
  archdir := x32
endif

default_vm = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),hotspot,zero)
hotspot_version = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),default,zero)
hotspot_version = default
ifneq (,$(filter $(DEB_HOST_ARCH),$(hotspot_aarch32_archs)))
  hotspot_version = aarch32
endif

any_archs = alpha amd64 arm64 armel ${hotspot_aarch32_archs} i386 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32

ifneq (,$(filter $(distrel),xenial))
  transitional_jamvm_pkg = yes
endif

# Don't build zero alternate vm on Trusty
ifeq (,$(filter $(distrel),trusty))
  altzero_archs = $(filter-out sparc, $(hotspot_archs))
endif

ifeq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS)))
  ifneq (,$(filter $(DEB_HOST_ARCH), $(altzero_archs)))
      alternate_vms += zero
      zero_dir = zero
  endif
endif

BOOTJDK_HOME := $(strip $(subst /bin/javac,, $(firstword $(wildcard \
			/usr/lib/jvm/java-8-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
			/usr/lib/jvm/java-7-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
			/usr/lib/jvm/java-7-openjdk/bin/javac \
		))))

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
  BUILDJDK_HOME = $(CURDIR)/$(builddir)/$(sdkimg)
else
  BUILDJDK_HOME = $(BOOTJDK_HOME)
endif

OPENJDK_VERSION = jdk$(shortver)u$(updatever)-$(buildver)

# for Hotspot: hotspot/make/linux/makefiles/vm.make
# Don't overwrite Hotspot opt level :
# -O3 is already default option for hotspot

# FIXME: ftbfs with -Werror=format-security
dpkg_buildflags_hs = \
	DEB_CFLAGS_MAINT_STRIP="-O2 -O3 -Werror=format-security" \
	DEB_CXXFLAGS_MAINT_STRIP="-O2 -O3 -Werror=format-security"
# jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
dpkg_buildflags_hs += \
	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions -Xlinker --no-as-needed"
dpkg_buildflags_hs += dpkg-buildflags
export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
export EXTRA_CFLAGS_HS   := $(shell $(dpkg_buildflags_hs) --get CFLAGS) $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
export EXTRA_CXXFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CXXFLAGS)

## openjdk-8 8u452

=== Makefile ===
#
# Copyright (c) 2012, 2013, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

# This must be the first rule
default:

# Inclusion of this pseudo-target will cause make to execute this file
# serially, regardless of -j. Recursively called makefiles will not be
# affected, however. This is required for correct dependency management.
.NOTPARALLEL:

# The shell code below will be executed on /usr/ccs/bin/make on Solaris, but not in GNU make.
# /usr/ccs/bin/make lacks basically every other flow control mechanism.
TEST_FOR_NON_GNUMAKE:sh=echo You are not using GNU make/gmake, this is a requirement. Check your path. 1>&2 && exit 1

# Assume we have GNU make, but check version.
ifeq ($(strip $(foreach v, 3.81% 3.82% 4.%, $(filter $v, $(MAKE_VERSION)))), )
  $(error This version of GNU Make is too low ($(MAKE_VERSION)). Check your path, or upgrade to 3.81 or newer.)
endif

# Locate this Makefile
ifeq ($(filter /%,$(lastword $(MAKEFILE_LIST))),)
  makefile_path:=$(CURDIR)/$(lastword $(MAKEFILE_LIST))
else
  makefile_path:=$(lastword $(MAKEFILE_LIST))
endif
root_dir:=$(dir $(makefile_path))

# ... and then we can include our helper functions
include $(root_dir)/make/MakeHelpers.gmk

$(eval $(call ParseLogLevel))
$(eval $(call ParseConfAndSpec))

# Now determine if we have zero, one or several configurations to build.
ifeq ($(SPEC),)
  # Since we got past ParseConfAndSpec, we must be building a global target. Do nothing.
else
  ifeq ($(words $(SPEC)),1)
    # We are building a single configuration. This is the normal case. Execute the Main.gmk file.
    include $(root_dir)/make/Main.gmk
  else
    # We are building multiple configurations.
    # First, find out the valid targets
    # Run the makefile with an arbitrary SPEC using -p -q (quiet dry-run and dump rules) to find
    # available PHONY targets. Use this list as valid targets to pass on to the repeated calls.
    all_phony_targets=$(filter-out $(global_targets), $(strip $(shell \
        cd $(root_dir) && $(MAKE) -p -q FRC SPEC=$(firstword $(SPEC)) | \
        grep ^.PHONY: | head -n 1 | cut -d " " -f 2-)))

    $(all_phony_targets):
	@$(foreach spec,$(SPEC),(cd $(root_dir) && $(MAKE) SPEC=$(spec) \
	    $(VERBOSE) VERBOSE=$(VERBOSE) LOG_LEVEL=$(LOG_LEVEL) $@) &&) true

    .PHONY: $(all_phony_targets)

  endif
endif

# Here are "global" targets, i.e. targets that can be executed without specifying a single configuration.
# If you addd more global targets, please update the variable global_targets in MakeHelpers.

help:
	$(info )
	$(info OpenJDK Makefile help)
	$(info =====================)
	$(info )
	$(info Common make targets)
	$(info .  make [default]         # Compile all product in langtools, hotspot, jaxp, jaxws,)
	$(info .                         # corba and jdk)
	$(info .  make all               # Compile everything, all repos and images)
	$(info .  make images            # Create complete j2sdk and j2re images)
	$(info .  make docs              # Create javadocs)
	$(info .  make overlay-images    # Create limited images for sparc 64 bit platforms)
	$(info .  make profiles          # Create complete j2re compact profile images)
	$(info .  make bootcycle-images  # Build images twice, second time with newly build JDK)
	$(info .  make install           # Install the generated images locally)
	$(info .  make clean             # Remove all files generated by make, but not those)
	$(info .                         # generated by configure)
	$(info .  make dist-clean        # Remove all files, including configuration)
	$(info .  make help              # Give some help on using make)
	$(info .  make test              # Run tests, default is "jdk_core langtools_jtreg" (see TEST below))
	$(info )
	$(info Targets for specific components)
	$(info (Component is any of langtools, corba, jaxp, jaxws, hotspot, jdk, nashorn, images, overlay-images, docs or test))
	$(info .  make <component>       # Build <component> and everything it depends on. )
	$(info .  make <component>-only  # Build <component> only, without dependencies. This)
	$(info .                         # is faster but can result in incorrect build results!)
	$(info .  make clean-<component> # Remove files generated by make for <component>)
	$(info )
	$(info Useful make variables)
	$(info .  make CONF=             # Build all configurations (note, assignment is empty))
	$(info .  make CONF=<substring>  # Build the configuration(s) with a name matching)
	$(info .                         # <substring>)
	$(info )
	$(info .  make LOG=<loglevel>    # Change the log level from warn to <loglevel>)
	$(info .                         # Available log levels are:)
	$(info .                         # 'warn' (default), 'info', 'debug' and 'trace')
	$(info .                         # To see executed command lines, use LOG=debug)
	$(info )
	$(info .  make JOBS=<n>          # Run <n> parallel make jobs)
	$(info .                         # Note that -jN does not work as expected!)
	$(info )
	$(info .  make test TEST=<test>  # Only run the given test or tests, e.g.)
	$(info .                         # make test TEST="jdk_lang jdk_net")
	$(info .                         # or)
	$(info .                         # make test TEST="tier1")
	$(info )

.PHONY: help

=== test/java/util/spi/ResourceBundleControlProvider/providersrc/Makefile ===
#
# Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

#
# Makefile for building a ResourceBundleControlProvider jar file for testing.
#
#    Usage: make JDK_HOME=... all install
#

DESTDIR = ..
TMPDIR = tmp
SERVICESDIR = $(TMPDIR)/META-INF/services
TARGETJAR = rbcontrolprovider.jar
BINDIR = $(JDK_HOME)/bin


all: $(TARGETJAR)

install: all
	cp $(TARGETJAR) $(DESTDIR)

SERVICES = java.util.spi.ResourceBundleControlProvider

FILES_JAVA = UserControlProvider.java \
             UserXMLControl.java

RESOURCE_FILES = XmlRB.xml \
                 XmlRB_ja.xml

$(TARGETJAR): $(SERVICES) $(FILES_JAVA) $(RESOURCE_FILES)
	rm -rf $(TMPDIR) $@
	mkdir -p $(SERVICESDIR)
	$(BINDIR)/javac -d $(TMPDIR) $(FILES_JAVA)
	cp $(SERVICES) $(SERVICESDIR)
	cp $(RESOURCE_FILES) $(TMPDIR)/com/foo
	$(BINDIR)/jar  cvf $@ -C $(TMPDIR) .

clean:
	rm -rf $(TMPDIR) $(TARGETJAR)

.PHONY: all install clean

## openjdk-8 8u452-ga~us1

=== debian/changelog ===
openjdk-8 (8u452-ga~us1-0ubuntu1~22.04) jammy-security; urgency=medium

  * OpenJDK 8u452 release. Release notes:
    https://mail.openjdk.org/pipermail/jdk8u-dev/2025-April/019989.html
    - CVEs:
      + CVE-2025-21587
      + CVE-2025-30691
      + CVE-2025-30698

  [ Pushkar Kulkarni ]
  * d/rules: update gh tags for 8u452
  * d/control: regenerate for Ubuntu 22.04
  * Upload to Ubuntu 22.04

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 16 Apr 2025 16:03:22 +0530

openjdk-8 (8u442-ga-2) unstable; urgency=low

  * Add explicit R³: binary-targets to work around dpkg 1.22.13 changing
    default behaviour, violating Policy §5.6.31, leading to binary-*
    target not called in separate make run any more which some wildcard
    matches rely on, to get the correct files (Closes: #1095746)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 12 Feb 2025 02:55:46 +0100

openjdk-8 (8u442-ga-1) unstable; urgency=low

  * New upstream release
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2025-January/019658.html
  * Drop mantic, add plucky
  * Add pochu to Uploaders
  * Bump testing/sid GCC to 14 (Closes: #1092660);
    for oracular/plucky as well, noble is kept at GCC 13
  * Since xfwm4 is available on every arch we build again, drop exclusion
  * Drop remnants of IA64 support (long gone from Linux)
  * Remove m68k support: broken, needs rebootstrapping after the ABI change
    anyway, at which point openjdk-8 might not be needed at all
  * Add patch for FTBFS with GCC 14’s strictened types
  * Bump Policy (nothing to do)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 10 Feb 2025 01:11:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: openjdk-8
 Section: java
 Priority: optional
-Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Glaser <tg@mirbsd.de>,
  Emilio Pozuelo Monfort <pochu@debian.org>
 Build-Depends: openjdk-8-jdk, quilt,
  m4, lsb-release, sharutils, gawk, procps, wdiff, tzdata, debhelper (>= 11),
- cpio, zip, unzip, autoconf (>= 2.69), automake, pkgconf, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, libasmtools-java <!nocheck>, testng <!nocheck>,
- ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-14, g++-14, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libcups2t64, libglib2.0-0t64, libgtk2.0-0t64,
+ cpio, zip, unzip, autoconf (>= 2.69), automake, pkg-config, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, libasmtools-java <!nocheck>, testng <!nocheck>,
+ ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-11, g++-11, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14),
  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype-dev, libgtk2.0-dev, libffi-dev, libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26), dpkg-dev (>= 1.17.14), time
 Standards-Version: 4.7.0
 Rules-Requires-Root: binary-targets

=== debian/rules ===
--- 
+++ 
@@ -101,10 +101,10 @@
 is_release		=
 is_release		= yes
 gh_project		= jdk8u
-gh_tag			= jdk8u442-ga
+gh_tag			= jdk8u452-ga
 version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
-version_dash_buildnr	= 442-b06
-gh_tag_aarch32		= jdk8u442-ga-aarch32-20250125
+version_dash_buildnr	= 452-b09
+gh_tag_aarch32		= jdk8u452-b07-aarch32-20250402
 package_version		= $(subst jdk,,${gh_tag})
 ifneq ($(is_release),yes)
   package_version	:= $(subst -,~,$(package_version))

## openjdk-8 8u452-ga

=== debian/changelog ===
openjdk-8 (8u452-ga-1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 19 May 2025 18:15:49 +0200

openjdk-8 (8u452-ga-1) unstable; urgency=low

  * Revert previous workaround
  * Use = ipv := for jre_hl_tools gmake variable (Closes: #1095932)
  * Explicitly use R³:no
  * New upstream release
  * CVEs
    - CVE-2025-21587
    - CVE-2025-30691
    - CVE-2025-30698
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2025-April/019989.html
  * Add Roberto as ELTS fallback for pochu
  * Bump Policy, (should be) no change needed

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 11 May 2025 22:09:45 +0000

openjdk-8 (8u442-ga-1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 10 Feb 2025 11:51:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: openjdk-8
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Glaser <tg@mirbsd.de>,
- Emilio Pozuelo Monfort <pochu@debian.org>
+ Emilio Pozuelo Monfort <pochu@debian.org>,
+ Roberto C. Sánchez <roberto@debian.org>
 Build-Depends: openjdk-8-jdk, quilt,
- m4, lsb-release, sharutils, gawk, procps, wdiff, tzdata, debhelper (>= 11),
- cpio, zip, unzip, autoconf (>= 2.69), automake, pkg-config, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, libasmtools-java <!nocheck>, testng <!nocheck>,
- ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-11, g++-11, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14),
- libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype-dev, libgtk2.0-dev, libffi-dev, libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26), dpkg-dev (>= 1.17.14), time
-Standards-Version: 4.7.0
-Rules-Requires-Root: binary-targets
+ m4, lsb-release, sharutils, gawk, procps, wdiff, tzdata, debhelper (>= 9),
+ cpio, zip, unzip, autoconf (>= 2.69), automake, pkg-config, autotools-dev, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, testng <!nocheck>,
+ ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-4.9, g++-4.9, zlib1g-dev, libattr1-dev, libpng12-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14),
+ libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype6-dev (>= 2.2.1), libgtk2.0-dev, libffi-dev, libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26),  time
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://openjdk.org/projects/jdk8u/
 VCS-git: https://evolvis.org/anonscm/git/alioth/openjdk-8.git -b master
 VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/openjdk-8.git;a=shortlog;h=refs/heads/master

=== debian/tests/control ===
Tests: hotspot, langtools
Depends: @, default-jre-headless, jtreg (>> 4.2-b13-1~), testng, g++
Restrictions: allow-stderr, skippable, flaky

Tests: jdk
Depends: @, default-jre-headless, jtreg (>> 4.2-b13-1~), testng, g++, xfwm4, xvfb, dbus-x11, unzip, zip
Restrictions: allow-stderr, skippable, flaky

## openjdk-8 8u462

=== agent/test/libproc/Makefile ===
#
# Copyright (c) 2003, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#  
#

all:
	javac LibprocTest.java
	javac -classpath ../../build/classes LibprocClient.java

clean:
	rm -rf *.class

## openjdk-8 8u462-ga~us1

=== debian/changelog ===
openjdk-8 (8u462-ga~us1-0ubuntu2~22.04.2) jammy-security; urgency=medium

  * Upload to Ubuntu 22.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 18 Jul 2025 19:00:25 +1200

openjdk-8 (8u462-ga~us1-0ubuntu2) questing; urgency=medium

  * d/rules: correct version_dash_buildnr variable, use actual build
    number (LP: #2117226).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 18 Jul 2025 18:37:38 +1200

openjdk-8 (8u462-ga~us1-0ubuntu1) questing; urgency=medium

  * New upstream release. See
    https://openjdk.org/groups/vulnerability/advisories/2025-07-15
    - CVEs:
      + CVE-2025-30749, 8348989: Better Glyph drawing
      + CVE-2025-50106, 8360147: Better Glyph drawing redux
      + CVE-2025-30761, 8351422: Improve scripting supports
      + CVE-2025-30754, 8349594: Enhance TLS protocol support
    - Security fixes:
      + 8349111: Enhance Swing supports
      + 8345625: Better HTTP connections
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk8u-dev/2025-July/020263.html
  * d/rules: use link file to provide symlink to ja man pages (LP:
    #2116572).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 16 Jul 2025 10:33:21 +1200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: openjdk-8
 Section: java
 Priority: optional
-Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Glaser <tg@mirbsd.de>,
  Emilio Pozuelo Monfort <pochu@debian.org>,
  Roberto C. Sánchez <roberto@debian.org>
 Build-Depends: openjdk-8-jdk, quilt,
- m4, lsb-release, sharutils, gawk, procps, wdiff, tzdata, debhelper (>= 9),
- cpio, zip, unzip, autoconf (>= 2.69), automake, pkg-config, autotools-dev, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, testng <!nocheck>,
- ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-4.9, g++-4.9, zlib1g-dev, libattr1-dev, libpng12-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14),
- libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype6-dev (>= 2.2.1), libgtk2.0-dev, libffi-dev, libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26),  time
+ m4, lsb-release, sharutils, gawk, procps, wdiff, tzdata, debhelper (>= 11),
+ cpio, zip, unzip, autoconf (>= 2.69), automake, pkg-config, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, libasmtools-java <!nocheck>, testng <!nocheck>,
+ ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-11, g++-11, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14),
+ libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype-dev, libgtk2.0-dev, libffi-dev, libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26), dpkg-dev (>= 1.17.14), time
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://openjdk.org/projects/jdk8u/

=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,7 @@
 
 # we know about:
 # wheezy jessie stretch buster bullseye bookworm trixie sid
-# precise trusty xenial bionic focal jammy noble oracular plucky
+# precise trusty xenial bionic focal jammy noble oracular plucky questing
 
 ifneq (,$(filter $(distrel),wheezy precise trusty))
   is_default = no
@@ -101,10 +101,10 @@
 is_release		=
 is_release		= yes
 gh_project		= jdk8u
-gh_tag			= jdk8u452-ga
+gh_tag			= jdk8u462-ga
 version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
-version_dash_buildnr	= 452-b09
-gh_tag_aarch32		= jdk8u452-b07-aarch32-20250402
+version_dash_buildnr	= 462-b08
+gh_tag_aarch32		= jdk8u462-b07-aarch32-20250703 # no -ga changes are needed for aarch32 port
 package_version		= $(subst jdk,,${gh_tag})
 ifneq ($(is_release),yes)
   package_version	:= $(subst -,~,$(package_version))
@@ -225,4 +225,3 @@
 dpkg_buildflags_hs += dpkg-buildflags
 export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
 export EXTRA_CFLAGS_HS   := $(shell $(dpkg_buildflags_hs) --get CFLAGS) $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
-export EXTRA_CXXFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CXXFLAGS)

## openjdk-8 8u462-ga

=== debian/changelog ===
openjdk-8 (8u462-ga-1) unstable; urgency=low

  * New upstream release
  * CVEs
    - CVE-2025-30749
    - CVE-2025-30754
    - CVE-2025-30761
    - CVE-2025-50106
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2025-July/020263.html

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 30 Jul 2025 11:44:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: openjdk-8
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Glaser <tg@mirbsd.de>,
  Emilio Pozuelo Monfort <pochu@debian.org>,
  Roberto C. Sánchez <roberto@debian.org>
 Build-Depends: openjdk-8-jdk, quilt,
  m4, lsb-release, sharutils, gawk, procps, wdiff, tzdata, debhelper (>= 11),
- cpio, zip, unzip, autoconf (>= 2.69), automake, pkg-config, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, libasmtools-java <!nocheck>, testng <!nocheck>,
- ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-11, g++-11, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14),
+ cpio, zip, unzip, autoconf (>= 2.69), automake, pkgconf, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, libasmtools-java <!nocheck>, testng <!nocheck>,
+ ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-14, g++-14, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libcups2t64, libglib2.0-0t64, libgtk2.0-0t64,
  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype-dev, libgtk2.0-dev, libffi-dev, libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26), dpkg-dev (>= 1.17.14), time
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
